!----------------------------------------------------------------------------
! Message(&routine, number)
! prints message <number> for <routine>
!
! Message (&routine, number, var1, var2)
! where one or two variables--which may be objects or any other value--
! are used by message <number> for <routine>

replace Message(r, num, a, b)
{
	! Check first to see if the NewMessages routine provides a
	! replacement message:
	if NewMessages(r, num, a, b):  return
	select r
!----------------------------------------------------------------------------
! ENDGAME
!----------------------------------------------------------------------------
	case &EndGame:
		{
		select num
		case 1: {
			print "\nLa partita e' terminata. Vuoi (R)ESTART,
				R(E)STORE una partita salvata, ";
			#ifclear NO_UNDO
			if not UNDO_OFF         ! if not otherwise overridden
			print "(U)NDO la tua ultima mossa, ";
			#endif
			print "o (Q)UIT? ";
			}
		case 2: {
			print "Premi (R)ESTART, R(E)STORE, ";
			#ifclear NO_UNDO
			if not UNDO_OFF
			print "(U)NDO, ";
			#endif
			print "o (Q)UIT: ";
			}
		}
!----------------------------------------------------------------------------
! PARSE
!----------------------------------------------------------------------------
	case &Parse:
		{
		select num
		case 1:	{
			print "Non c'e' bisogno di riferirsi a questo oggetto durante questo gioco."
			}
		case 2: {
			print "(assumendo che si intende";
			}
		case 3: {
			print ", rispettivamente";
			}
		}
!----------------------------------------------------------------------------
! SPEAKTO
!----------------------------------------------------------------------------
	case &Speakto:
		{
		if a = 0:  a = object   ! Speakto messages are sometimes
					! co-opted by verb routines
		select num
		case 1:	{
			if player_person = 1: print "Non dovrei perdere tempo a parlare con me stesso."
			if player_person = 2: print "Non dovresti perdere tempo a parlare con te stesso."
			if player_person = 3: print CThe(player); " non dovrebbe perdere tempo a parlare da solo."
			
			}
		case 2: {
			print CThe(a); IsorAre(a, true); " in ascolto."
			}
		case 3: {
			if player_person = 1: print CThe(a); "mi saluta."
			if player_person = 2: print CThe(a); "ti saluta."
			if player_person = 3: print CThe(a); "lo saluta."
			}
		case 4: {
			if player_person = 1: print CThe(a); "mi ignora..."
			if player_person = 2: print CThe(a); "ti ignora..."
			if player_person = 3: print CThe(a); "lo ignora..."
			}
		}
!----------------------------------------------------------------------------
! DESCRIBEPLACE
!----------------------------------------------------------------------------
	case &DescribePlace:
		{
		select num
		case 1:	{
			print "Troppo buio per vedere."
			}
		case 2: {
			if player_person = 1: print "Posso vedere"; Art(a); " qui."
			if player_person = 2: print "Puoi vedere"; Art(a); " qui."
			if player_person = 3: print CThe(player); " puo' vedere"; Art(a); " qui."
			}
		}
!----------------------------------------------------------------------------
! WHATSIN
!----------------------------------------------------------------------------
	case &WhatsIn:
		{
		select num
		case 1: {
			print CThe(player); IsorAre(player, true); " ";
			if list_count < a
				print "anche portando";
			}
		case 2: {
			if FORMAT & USECHARNAMES_F
				CThe(a)
			else
				print capital a.pronoun;
			if list_count < b
				print " anche";
			print MatchPlural(a, "ha", "hanno");
			}
		case 3: {
			print "Also ";
			if a.prep
				print a.prep; " ";
			elseif a is platform
				print "su ";
			else
				print "dentro ";
			}
		case 4: {
			if a.prep
				print capital a.prep; " ";
			elseif a is platform
				print "Seduto su ";
			else
				print "Dentro ";
			}
		}
!----------------------------------------------------------------------------
! CHECKREACH
!----------------------------------------------------------------------------
	case &CheckReach:
		{
		select num
		case 1: {
			print "Da considerare che "; The(parent(a)); \
				MatchPlural(parent(a), "has", "have"); \
				" "; The(a); "."
			}
		case 2 	{
			print "Da considerare che "; The(parent(a)); \
				MatchPlural(parent(a), "doesn't", "don't"); \
				" vuole dare "; The(player, true); \
				" "; The(a); "."
			}
		case 3: {
			if player_person = 1: print "Non riesco a raggiungere "; The(a); " da "; The(parent(player)); "."
			if player_person = 1: print "Non riesci a raggiungere "; The(a); " da "; The(parent(player)); "."
			if player_person = 3: print CThe(player); "Non riesce a raggiungere "; The(a); " da "; The(parent(player));
			}
		}
!----------------------------------------------------------------------------
! YESORNO
!----------------------------------------------------------------------------
	case &YesorNo: 
		{
		select num
		case 1: {
			print "Perfavore rispondi YES o NO: ";
			}
		case 2: {
			print "YES o NO: ";
			}
		}
!----------------------------------------------------------------------------
! MENU
!----------------------------------------------------------------------------
	#ifclear NO_MENUS
	case &Menu:
		{
		print "[N]ext item"; to (display.linelength - 11); \
			"[Q]uit menu"
		print "[P]revious item"; to (display.linelength - 17);
		print "[Enter] per scegliere."
		}
	#endif
!----------------------------------------------------------------------------
! CHARMOVE
!----------------------------------------------------------------------------
	#ifclear NO_SCRIPTS
	#ifclear NO_OBJLIB
	case &CharMove:
		{
		select num
		case 1: {
			if a ~= plural: print "\n"; CThe(a); " si dirige verso "; 
				if b = u_obj: print "l'alto."
				if b = d_obj: print "il basso."
				if b ~= u_obj or b ~= d_obj: print b.name;  "."
			if a = plural: print "\n"; CThe(a); " si dirigono verso "; 
				if b = u_obj: print "l'alto."
				if b = d_obj: print "il basso."
				if b ~= u_obj or b ~= d_obj: print b.name;  "."
			}
		case 2: {
			if a ~= plural: print "\n"; CThe(a); " arriva da"; 
				if b = u_obj: print "ll'alto."
				if b = d_obj: print "l basso."
				if b ~= u_obj or b ~= d_obj: print " "; b.name; "."
			if a = plural: print "\n"; CThe(a); " arrivano da"; 
				if b = u_obj: print "ll'alto."
				elseif b = d_obj: print "l basso."
				if b ~= u_obj or b ~= d_obj: print b.name; "."
			}
		}
	#endif  ! ifclear NO_OBJLIB
	#ifclear NO_SCRIPTS
!----------------------------------------------------------------------------
! CHARGET
!----------------------------------------------------------------------------
	#ifclear NO_SCRIPTS
	case &CharGet:
		{
			if a ~= plural: print "\n"; CThe(a); " prende "; The(b); "."
			if a = plural: print "\n"; CThe(a); " prendono "; The(b); "."
		}
	#endif  ! ifclear NO_SCRIPTS
!----------------------------------------------------------------------------
! CHARDROP
!----------------------------------------------------------------------------
	#ifclear NO_SCRIPTS
	case &CharDrop:
		{
			if a ~= plural: print "\n"; CThe(a); " lascia "; The(b); "."
			if a = plural: print "\n"; CThe(a); " lasciano "; The(b); "."
		}
	#endif  ! ifclear NO_SCRIPTS
}