!----------------------------------------------------------------------------
! OBJECT LIBRARY MESSAGES
!
! OMessage and NewOMessages mirror HUGOLIB.H's Message and NewMessages,
! respectively, although not exactly.  The difference is that the first
! argument passed to OMessage (or NewOMessages) is an object or class,
! not a routine address.
!
! OMessage(object, number)
! prints message <number> for object/class <object>
!
! OMessage (object, number, var1, var2)
! where one or two variables--which may be objects or any other value--
! are used by message <number> for object/class <object>

replace OMessage(obj, num, a, b)
{
	! Check first to see if the NewOMessages routine provides a
	! replacement message:
	!
	if NewOMessages(obj, num, a, b):  return
	select obj

!----------------------------------------------------------------------------
! SELFCLASS
!----------------------------------------------------------------------------
	case self_class: 
		{
		select num
		case 1: {					
			print "\""; capital self.name;
			print "\" non sembra appropriato per ";
			print The(object); "."
			}
		}
!----------------------------------------------------------------------------
! DIRECTION
!----------------------------------------------------------------------------
	case direction:
		{
		select num
		case 1: {
			if player_person = 1: print "Non vedo nulla di particolare verso "; The(self)
			if player_person = 2: print "Non vedi nulla di particolare verso "; The(self)
			if player_person = 3: print CThe(player); "non vede nulla di particolare verso "; The(self)
			}
		case 2: {
			if player_person = 1: print "Devo essere piu' specifico sulla direzione in cui vorrei guardare."
			if player_person = 2: print "Devi essere piu' specifico sulla direzione in cui vorresti guardare."
			if player_person = 3: print CThe(player); "deve essere piu' specifico sulla direzione in cui vorrebbe guardare."
			}
		}

!----------------------------------------------------------------------------
! DOOR
!----------------------------------------------------------------------------
	case door: 
		{
		select num
		case 1: {
			print CThe(player); " will have to get ";
			if parent(player).prep #2
				print parent(player).prep #2; " ";
			else
				print "out ";
			print "of "; The(parent(player)); " first."
			}
		case 2: {
			print "(aprendo "; The(self); " prima)"
			}
		case 3: {
			print CThe(self); IsorAre(self, true); " locked."
			}
		case 4: {
			print CThe(self); IsorAre(self, true); " closed."
			}
		case 5: {
			CThe(actor)
			print " open"; MatchSubject(actor); " "; \
			The(self); " and ";

			if actor in location
				print "leave"; MatchSubject(actor);
			elseif location = self.between #((parent(actor) = \
				self.between #1) + 1)
				print "come"; MatchSubject(actor); " in";
			print ", closing it behind ";
			if actor is not plural or actor = player
				print actor.pronoun #4; "."
			else
				print "themselves."
			}
		case 6: {
			print CThe(self); IsorAre(self, true); " open."
			}
		case 7: {
			print CThe(self); IsorAre(self, true); " closed."
			}
		}
!----------------------------------------------------------------------------
! COMPONENT
!----------------------------------------------------------------------------
	case component:
		{
		if player_person = 1: print "Non posso separare "; The(self); " from "; The(self.part_of); "."
		if player_person = 2: print "Non puoi separare "; The(self); " from "; The(self.part_of); "."
		if player_person = 3: print CThe(player); " non puo' separare "; The(self); " from "; The(self.part_of); "."
		}
!----------------------------------------------------------------------------
! VEHICLE
!----------------------------------------------------------------------------
#ifset USE_VEHICLES
	case vehicle
	{
		select num
		case 1
		{
			 print "To walk, "; The(player); " will have to
				get "; self.prep #2; " of "; The(self); \
				".  Otherwise, try \""; self.vehicle_verbs; \
				"\" ";
			 if self.#vehicle_verbs > 1
				print "or \""; self.vehicle_verbs #2; "\" ";
			 print "and a direction."
		}
		case 2:  print CThe(player); IsorAre(player); \
				" not in anything at the moment."
		case 3:  print CThe(player); IsorAre(player); " "; \
			a.prep; " "; The(a);"--try \""; a.vehicle_verbs; "\"."
		case 4:  print "You'll have to specify a direction as well."
		case 5:  print CArt(obstacle); " stop"; \
				MatchSubject(obstacle); " "; \
				The(player, true); " from going anywhere."
		case 6
		{
			print CThe(player); " can't "; a.vehicle_verbs; " ";
			if object.prep
				print object.prep;
			else
				print "in";
			print " "; The(object); "."
		}
		case 7:  print CThe(player); " can't "; a.vehicle_verbs; \
			" that way."
	}
#endif  ! ifset USE_VEHICLES
!----------------------------------------------------------------------------
! PLURALCLASS
!----------------------------------------------------------------------------
#ifset USE_PLURAL_OBJECTS
	case plural_class
	{
		select num
		case 1
		{
			if pluralobj_heldmode = 1
				print CThe(player); \
				MatchPlural(player, "doesn't", "don't"); \
				" have any ";
			else
				print "There are no ";
			print self.name; " to "; VerbWord; "."
		}
		case 2
		{
			if pluralobj_heldmode = 1
				print CThe(player); " only"; \
					MatchPlural(player, "has", "have"); " ";
			else
			{
				print "There ";
				if a = 1:  print "is";
				else:  print "are";
				print " only ";
			}
			print NumberWord(a); " ";
			if a > 1
				print self.noun;
			else
				print self.single_noun;
			print " to "; VerbWord; "."
		}
		case 3:  print CThe(player); " will have to do that one "; \
				self.single_noun; " at a time."
	}
#endif  ! ifset USE_PLURAL_OBJECTS
!----------------------------------------------------------------------------
! ATTACHABLE
!----------------------------------------------------------------------------
#ifset USE_ATTACHABLES
	case attachable
	{
		select num
		case 1
		{
			print CArt(self); IsorAre(self, true); " "; \
				self.attached_desc; " ";
			ListAttachments(self)
			print "."
		}
		case 2:  print CThe(player); " see"; MatchSubject(player); \
			" nothing special about "; The(self); "."
		case 3
		{
			print CThe(self); IsorAre(self, true); " "; \
				self.attached_desc; " ";
			ListAttachments(self)
			print "."
		}
		case 4:  print CThe(player); " will have to "; \
			self.detach_verb; " before you can take it."
		case 5:  print "(having to "; self.detach_verb; " "; \
			The(self); " "; self.detach_prep; " "; \
			The(self.attached_to #a); " first)"
		case 6:  print CThe(player); " can't "; VerbWord; " "; \
			The(object); "."
		case 7:  print "You might want to try \""; a; "\" with "; \
			The(object); " instead of "; "\""; VerbWord; "\"."
		case 8:
		{
			print "You'll have to be a little more specific
				about what you'd like ";
			if player_person ~= 2:  print The(player, true); " ";
			print "to "; object.attach_verb; " "; \
			The(object); " "; object.attach_prep; "."
		}
		case 9:  print "(taking "; The(object); " first)"
		case 10:  print CThe(player); " can't "; VerbWord; " "; \
			The(object); " "; object.attach_prep; " "; \
			The(xobject); "."
		case 11:  print "Except that "; The(object); \
			IsorAre(object, true); " already "; \
			object.attached_desc; " "; The(xobject); "."
		case 12
		{
			print "Except that "; The(object); " is already "; \
			object.attached_desc; " ";
			ListAttachments(object)
			print "."
		}
		case 13:  print CThe(player); " "; object.attach_verb; \
			MatchSubject(player); " "; The(object); " "; \
			object.attach_prep; " "; The(xobject); "."
		case 14:  print "Except that "; The(object); \
			IsorAre(object, true); " not "; \
			object.attached_desc; " "; The(xobject); "."
		case 15:  print "Except that "; The(object); \
			IsorAre(object, true); " not "; \
			object.attached_desc; " anything."
		case 16:
		{
			print "You'll have to be a little more specific
				about what you'd like ";
			if player_person ~= 2:  print The(player, true); " ";
			print "to "; VerbWord; " "; The(object); " "; \
				object.detach_prep; "."
		}
		case 17:  print CThe(player); " "; object.detach_verb; \
			MatchSubject(player); " "; The(object); " "; \
			object.detach_prep; " "; The(xobject); "."
		case 18
		{
			print CThe(player); " can't go anywhere while "; \
				The(a); IsorAre(a, true); " still "; \
				a.attached_desc; " ";
			ListAttachments(a)
			print "."
		}
		case 19
		{
			print CThe(player); " can't move whatever is "; \
			a.attached_desc; " "; The(a); ", namely ";
			ListAttachments(a)
			print "."
		}
		case 20:  print CThe(player); " can't pull "; The(a); \
			" that way."
		case 21
		{
			print "(with "; The(a); " "; a.attached_desc; " ";
			ListAttachments(a)
			print ")"
		}
		case 22:  print " "; The(player); IsorAre(player); " holding";
	}
#endif  ! ifset USE_ATTACHABLES
}