!----------------------------------------------------------------------------
!
!         Hugo Verb Grammar v3.1.03.1 by Kent Tessman (c) 1995-2006
!                      for use with the Hugo Compiler
!
!----------------------------------------------------------------------------
!
! All verb grammar must be defined or included at the start of a game file,
! before any objects or executable code.
!
!----------------------------------------------------------------------------

#ifclear _VERBLIB_G
#set _VERBLIB_G

!----------------------------------------------------------------------------
! NON-ACTION VERBS:
!----------------------------------------------------------------------------

#ifclear NO_XVERBS

xverb "carico", "carica", "load"
	* "gioco"/"storia"					DoRestore
	*							DoRestore

xverb "recupero", "recupera"
	*                                                       DoRestore
	* "gioco"/"storia"                                        DoRestore

xverb "salvo", "salva", "save"
	*                                                       DoSave
	* "gioco"/"storia"                                        DoSave

xverb "script", "transcript", "transcription", "trascrivi", "trascrizione"
	*                                                       DoScriptOnOff
	* "on"/"off"                                            DoScriptOnOff

#ifclear NO_RECORDING
xverb "record", "registra"
	*                                                       DoRecordOnOff
	* "on"/"off"                                            DoRecordOnOff

xverb "playback", "riproduci"
	*                                                       DoRecordOnOff
#endif

xverb "quit", "q", "abbandono", "abbandona", "esci"
	*                                                       DoQuit
	* "game"                                                DoQuit

xverb "restart", "ricomincio", "ricomincia"
	*                                                       DoRestart
	* "gioco"                                               DoRestart

xverb "brief", "normal", "breve"
	*                                                       DoBrief

xverb "superbrief", "short", "superbreve"
	*                                                       DoSuperBrief

xverb "verbose", "long", "verboso"
	*                                                       DoVerbose

xverb "display"
	*                                                       DoDisplay
	* "wide"/"tall"                                         DoDisplay

xverb "wide", "tall"
	*                                                       DoDisplay

xverb "score", "punti", "punteggio"
	*                                                       DoScore

#ifclear NO_UNDO
xverb "undo"
	*                                                       DoUndo
#endif

#endif  ! ifclear NO_XVERBS

!----------------------------------------------------------------------------
! ACTION VERBS:
!----------------------------------------------------------------------------

#ifclear NO_VERBS

!
! For looking and examining:
!

verb "esamino", "esamina", "x"
	*                                                       DoVague

verb "guardo", "guarda", "look", "l", "esamino", "esamina" , "x"
	*                                                       DoLookAround
	* "intorno"						DoLookAround
	* "in"/"dentro" container                               DoLookIn
	* "su" platform                                         DoLookIn
	* "verso"/"a" object                                    DoLook
	* "fuori"/"attraverso" object                           DoLookThrough
	* "sotto" object                                        DoLookUnder
	* "di lato a"/"dietro"/"intorno" object                 DoLookUnder
	* object                                                DoLook

!
! For waiting around:
!

verb "aspetto", "aspetta", "z"
	*                                                       DoWait
	* "qui"/"li"						DoWait
	* "per" anything                                        DoWaitforChar
	* "sino a" number                                       DoWaitUntil
	* "sino a" "turno" number                               DoWaitUntil
	* "per" number "minuti"/"turni"/"turno"/"minuto"        DoWait
	* number                                                DoWait
	* number "minuti"/"turni"/"turno"/"minuto"              DoWait


!
! For moving around:
!

verb "nord", "n", "sud", "s", "est", "e", "ovest", "w", \
	"sudest", "sud-est", "se", "sudovest", "sud-ovest", "sw", "nordovest", "nord-ovest", "nw", \
	"nordest", "nord-est", "ne", "su", "u", "giu", "d", "in", "dentro", "fuori", \
	"in", "out"
	*                                                       DoGo

verb "vai", "vado", "cammino", "cammina"
	*							DoGo
	* "verso"/"in"/"dentro"/"attraverso" object             DoEnter
	* "fuori" object                                        DoGo
	* "fuori"                                               DoExit
	* object                                                DoGo

verb "entro", "entra"
	*                                                       DoVague
	* object                                                DoEnter

verb "esco" "esci"
	*                                                       DoExit
	* object                                                DoExit

verb "siedo", "siedi", "stendo", "stendi"
	*                                                       DoEnter
	* "giu"                                                 DoSit
	* "in"/"su"/"dentro" object                             DoSit
	* "giu"/"in"/"su" object                                DoSit

verb "mi alzo","alzati"
	*                                                       DoStand
!	* "up"                                                  DoStand
	

verb "smonto", "smonta"
	*                                                       DoStand
	* "da" object                                           DoExit


!
! For moving, taking, and dropping objects:
!

verb "muovo", "muovi"
	*                                                       DoVague
	* object                                                DoMove

verb "get", "step"
	*                                                       DoVague
	* "up"/"out"/"off"/"down"                               DoStand
	* "outof"/"offof"/"off" object                          DoExit
	* "in"/"inside"/"on"                                    DoEnter
	* "in"/"into"/"inside"/"on"/"onto" object               DoEnter

verb "prendo", "prendi"
	*                                                       DoVague
	* "inventory"                                           DoInventory
!	* "off" multiheld                                       DoTakeOff
!	* multiheld "off"                                       DoTakeOff

verb "get", "take", "grab", "snatch", "fetch", "prendo", "prendi"
	*                                                       DoVague
	* multi "from"/"off"/"on"/"in" parent                   DoGet
	* multi "offof"/"outof" parent                          DoGet
	* multi "from" "offof"/"outof"/"on"/"in" parent         DoGet
	* multi                                                 DoGet

verb "pick", "lift", "raccolgo", "acchiappo",\
	"raccogli", "acchiappa"
	*                                                       DoVague
	* "up" multi                                            DoGet
	* "up" multi "from"/"off" parent                        DoGet
	* "up" multi "offof"/"outof" parent                     DoGet
	* multi "up"                                            DoGet
	* multi "up" "from"/"off" parent                        DoGet
	* multi "up" "offof"/"outof" parent                     DoGet
	* multi                                                 DoGet

verb "drop", "lascio", "lascia"
	*                                                       DoVague
#ifset USE_CHECKHELD
	* multi "on" "ground"/"floor"                           DoPutonGround_CheckHeld
	* multi "outside" xobject                               DoPutonGround_CheckHeld
	* multi "in"/"into"/"inside" container                  DoPutIn_CheckHeld
	* multi "on" platform                                   DoPutIn_CheckHeld
	* multi                                                 DoDrop_CheckHeld
#else
	* multiheld "on" "ground"/"floor"                       DoPutonGround
	* multiheld "outside" xobject                           DoPutonGround
	* multiheld "in"/"into"/"inside" container              DoPutIn
	* multiheld "on" platform                               DoPutIn
	* multiheld                                             DoDrop
#endif

verb "leave", "lascio", "lascia"
	*                                                       DoExit
#ifset USE_CHECKHELD
	* multi "on"/"onto" "ground"/"floor"                    DoPutonGround_CheckHeld
	* multi "outside" xobject                               DoPutonGround_CheckHeld
	* multi "in"/"inside" container                         DoPutIn_CheckHeld
	* multi "on" platform                                   DoPutIn_CheckHeld
! Send >LEAVE OBJECT to DoDropOrExit, which dispatches to DoDrop or DoExit
!	* multi                                                 DoDrop_CheckHeld
!	* object                                                DoExit_CheckHeld
#else
	* multiheld "on"/"onto" "ground"/"floor"                DoPutonGround
	* multiheld "outside" xobject                           DoPutonGround
	* multiheld "in"/"inside" container                     DoPutIn
	* multiheld "on" platform                               DoPutIn
! Send >LEAVE OBJECT to DoDropOrExit, which dispatches to DoDrop or DoExit
!	* multiheld                                             DoDrop
!	* object                                                DoExit
#endif
	* object						DoDropOrExit

verb "let", "lascia", "lascio"
	* "go" multi                                            DoDrop
	* multi "go"                                            DoDrop

verb "put", "place", "set", "metto", "metti"
	*                                                       DoVague
#ifset USE_CHECKHELD
	* "down" multi                                          DoDrop_CheckHeld
	* multi "on"/"onto" "ground"/"floor"                    DoPutonGround_CheckHeld
	* multi "outside" xobject                               DoPutonGround_CheckHeld
	* multi "down"                                          DoDrop_CheckHeld
	* multi "in"/"into"/"inside" container                  DoPutIn_CheckHeld
	* multi "on"/"onto" platform                            DoPutIn_CheckHeld
	* multi                                                 DoDrop_CheckHeld
#else
	* "down" multiheld                                      DoDrop
	* multiheld "on"/"onto" "ground"/"floor"                DoPutonGround
	* multiheld "outside" xobject                           DoPutonGround
	* multiheld "down"                                      DoDrop
	* multiheld "in"/"into"/"inside" container              DoPutIn
	* multiheld "on"/"onto" platform                        DoPutIn
	* multiheld                                             DoDrop
#endif

verb "put", "metto", "metti"
	* "on" multi						DoWear
	* multi "on"						DoWear

verb "insert", "inserisco", "inserisci"
	*                                                       DoVague
#ifset USE_CHECKHELD
	* object "in"/"into" object                             DoPutIn_CheckHeld
	* object                                                DoPutIn_CheckHeld
#else
	* held "in"/"into" object                               DoPutIn
	* held                                                  DoPutIn
#endif

verb "empty", "unload", "svuoto", "svuota"
	*                                                       DoVague
	* object "on"/"onto" "ground"/"floor"                   DoEmptyGround
	* multi "from"/"off"/"on"/"in" parent                   DoGet
	* multi "offof"/"outof" parent                          DoGet
	* multi "from" "offof"/"outof"/"on"/"in" parent         DoGet
! Send >UNLOAD OBJECT to DoEmptyoOrGet, which dispatches to DoEmpty or DoGet
!	* object                                                DoEmpty
	* object						DoEmptyOrGet


!
! Other object-handling verbs:
!

verb "give", "hand", "offer", "pass", "do", "dai"
	*                                                       DoVague
	* "me" object						DoGive
	* object "to" xobject                                   DoGive
	* object                                                DoGive

verb "show", "mostro", "mostra"
	*                                                       DoVague
	* "me" object						DoShow
	* object "to" xobject                                   DoShow
	* object                                                DoShow

verb "inventory", "inv", "i", "inventario"
	*                                                       DoInventory
	* "wide"/"tall"                                         DoInventory

verb "open", "apro", "apri"
	*                                                       DoVague
	* openable                                              DoOpen

verb "lock", "blocco", "blocca"
	*                                                       DoVague
	* lockable "with"/"using" held                          DoLock
	* lockable                                              DoLock

verb "unlock", "sblocco", "sblocca"
	*                                                       DoVague
	* lockable "with"/"using" held                          DoUnlock
	* lockable                                              DoUnlock

verb "close", "shut", "chiudo", "chiudi"
	*                                                       DoVague
	* openable                                              DoClose

verb "read", "peruse", "leggo", "leggi"
	*                                                       DoVague
	* readable                                              DoLook

verb "switch", "turn", "flip", "gira", "giro", "ruoto", "ruota"
	*                                                       DoVague
	* "on" switchable                                       DoSwitchOn
	* "off" switchable                                      DoSwitchOff
	* switchable "on"                                       DoSwitchOn
	* switchable "off"                                      DoSwitchOff
	* switchable						DoSwitchOnOff
	
verb "activate", "start", "attivo", "attiva", \
	"accendo", "accendi", "avvio", "avvia"
	*							DoVague
	* switchable						DoSwitchOn
	
verb "deactivate", "stop", "disattivo", "disattiva", "spengo", "spegni"
	*							DoVague
	* switchable						DoSwitchOff

verb "wear", "indosso", "indossa"
	*                                                       DoVague
	* multi                                                 DoWear

verb "remove", "tolgo", "togli"
	*                                                       DoVague
	* multi "from"/"outof"/"offof" parent                   DoGet
	* multi                                                 DoTakeOff

verb "listen", "ascolto", "ascolta"
	*                                                       DoListen
	* "to" object                                           DoListen

verb "hear", "ascolto", "ascolta"
	*                                                       DoListen
	* object                                                DoListen

verb "eat", "taste", "bite", "chew", "mangio", "mangia", \
	"assaggio", "assaggia", "mastico", "mastica"
	*                                                       DoVague
	* object                                                DoEat

verb "drink", "sip", "swallow", "bevo", "bevi", "ingoio", "ingoia"
	*                                                       DoVague
	* "from" object                                         DoDrink
	* object                                                DoDrink

verb "hit", "strike", "break", "attack", "whack", "beat", \
	"punch", "kick", "clobber", "colpisco", "colpisci", \
	"rompo", "rompi", "spezzo", "spezza"
	*                                                       DoVague
	* object "with"/"using" held                            DoHit
	* object                                                DoHit

verb "kill", "murder", "fight", "uccido", "uccidi", \
	"combatto", "combatti"
	*                                                       DoVague
	* living                                                DoHit


!
! For talking to characters:
!

verb "hello", "hi", "howdy", "ciao"
	*                                                       DoHello
	! because a comma becomes "~and":
	* "~and" object                                         DoHello
	* object                                                DoHello

verb "ask", "question", "consult", "chiedo", "chiedi"
	*                                                       DoAsk
	* "about" anything                                      DoAskQuestion
	* living "about" anything                               DoAsk
	* living                                                DoAsk

verb "talk", "speak", "racconto", "racconta", "dico", "dici"
	*                                                       DoTalk
	* "to" living                                           DoTalk
	* "to" living "about" anything                          DoTalk
	* "about" anything                                      DoAskQuestion

verb "tell", "parlo", "parla"
	* "me" "about" anything                                 DoAskQuestion
	* living "about" anything                               DoTell

verb "explain", "spiego", "spiega"
	* "to" "me" "about" anything                            DoAskQuestion
	* "to" living "about" anything                          DoTell

verb "what", "cosa"
	* "is"/"about" anything                                 DoAskQuestion

verb "who", "chi"
	* "is" anything                                         DoAskQuestion

#endif  ! ifclear NO_VERBS

!----------------------------------------------------------------------------
! Include verb stub grammar if specified

#ifset VERBSTUBS
#include "verbstub.g"
#endif

!----------------------------------------------------------------------------
! Include debugging grammar if specified

#ifset DEBUG
#include "hugofix.g"
#endif

#ifset DEBUG_SMALL
#include "hugofix.g"
#endif

#endif	! _VERBLIB_G
