!----------------------------------------------------------------------------
!
!  Grammar for Verb Stub Routines v3.1.03.1 by Kent Tessman (c) 1995-2006
!                    for use with the Hugo Compiler
!
!----------------------------------------------------------------------------
!
! This grammar file must be included along with the standard grammar file
! at the start of the game file (before any executable code); GRAMMAR.G
! does this if the VERBSTUBS flag is set.
!
!----------------------------------------------------------------------------

#ifclear _VERBSTUB_G
#set _VERBSTUB_G

xverb "yes", "si"
	*                                       DoYes

xverb "no"
	*                                       DoNo

xverb "sorry", "spiacente"
	*                                       DoSorry

verb "use", "usa", "uso"
	*                                       DoVague
	* object "con"/"su"/"in" xobject        DoUse
	* object                                DoUse

verb "odora", "odoro"
	*                                       DoSmell
	* object                                DoSmell

verb "salta", "salto"
	*                                       DoJump

verb "agita"
	*                                       DoWaveHands
	* "hands"                               DoWaveHands
	* "to" object                           DoWaveHands
	* held                                  DoWave

verb "lancia", "lancio"
	*                                       DoVague
	* held                                  DoThrowAt
	* held "at"/"to" xobject                DoThrowAt

verb "scala", "scalo", "arrampica", "arrampico"
	*                                       DoClimb
	* "in"/"dentro" object           	DoEnter
	* "in"/"dentro"                         DoEnter
	* "su" object                    	DoEnter
	* "fuori" object          		DoExit
	* "giu"                			DoClimbOut
	* "su"/"giu" object                    	DoClimb
	* object                                DoClimb

verb "dormi", "dormo", "riposo", "riposa"
	*                                       DoSleep

verb "spingi", "spingo", "schiaccio", "schiaccia"
	*                                       DoVague
	* "su" object                           DoPush
	* object                                DoPush

verb "tiro", "tira"
	*                                       DoVague
	* "su" object                           DoPull
	* object                                DoPull

verb "bacia", "bacio"
	*                                       DoVague
	* object                                DoKiss

verb "nuoto", "nuota"
	*                                       DoSwim

verb "sveglio", "sveglia"
	*                                       DoWake
	* "up"                                  DoWake
	* "up" living                           DoWakeCharacter
	* living "up"				DoWakeCharacter
	* living                                DoWakeCharacter

verb "tocca", "tocco"
	*                                       DoVague
	* object                                DoTouch

verb "lega", "lego", "aggancio", "aggancia"
	*                                       DoVague
	* object "a"/"su" xobject              	DoTie
	* object "con"/"usando" held            DoTieR
	* object                                DoTie

verb "slega", "slego", "sgancia", "sgancio"
	*                                       DoVague
	* object "da" xobject                   DoUntie
	* object                                DoUntie


verb "accendi", "accendo", "brucia", "brucio"
	*                                       DoVague
	* object "con" held                     DoBurn
	* object "da" held                      DoBurn
	* object                                DoBurn

verb "set"
	* "fire" "to" object                    DoBurn
	* object "on" "fire"                    DoBurn
	* object "ablaze"                       DoBurn

verb "taglia", "taglio"
	*                                       DoVague
	* object "con" held                     DoCut
	* object                                DoCut

verb "scava", "scavo"
	*                                       DoVague
	* "in" object                           DoDig
	* "in" object "con" held                DoDig
	* object "con" held                     DoDig
	* object                                DoDig

verb "grida", "grido"
	*                                       DoYell
	* "a" object				DoYell

verb "cerca", "cerco"
	*                                       DoVague
	* "per" object                          DoVague
	* "sotto" object                        DoLookUnder
	* "in"/"dentro" object                  DoSearch
	* object                                DoSearch
	
verb "segui", "seguo", "pedino", "pedina"
	*                                       DoVague
	* anything                              DoFollow

xverb "aiuto"
	*                                       DoHelp
	* object                                DoHelpChar

#endif	! _VERBSTUB_G